#!/bin/bash

ACTIVE="$1"
if [ -z "$ACTIVE" ]; then
  ACTIVE="dev"
  echo "Use default profile: $ACTIVE"
fi

[ ! -d ~/run/ ] && mkdir -p ~/run

if [ -f ~/run/shopping-web.pid ]; then
  echo "Server [shopping-web] pid file has been exists!";
  exit
fi

HEAP_MEMORY=256m
SERVER_JAR=`ls ../lib/shopping-web-1.6.2.jar`

exec "${JAVA_HOME}/bin/java" -server -Dspring.profiles.active=$ACTIVE -Xms${HEAP_MEMORY} -Xmx${HEAP_MEMORY} -XX:+HeapDumpOnOutOfMemoryError -agentlib:jdwp=transport=dt_socket,server=y,suspend=n,address=5088 -jar ${SERVER_JAR} >/dev/null 2>&1 & echo $! > ~/run/shopping-web.pid